### What is a Font Bundle?

A Font Bundle is a folder containing one or more icon fonts that are to be used with the IconFont Sketch plugin (https://github.com/keremciu/sketch-iconfont). The IconFont plugin has commands to instal both individual icon fonts, as well as font bundles. In order to use icon fonts with the IconFont plugin, fonts can be manually installed one by one, or several fonts can be installed at once if they were packaged in a font bundle.

This repo contains a font bundle with the most popular icon fonts.

### Which fonts are in the bundle?

- FontAwesome
- Material Design Icons
- Ion Icons
- Simple Line Icons (@bohn002)
- Ant Design Icons

### Bundle Contents

- **"ttf-files"** folder: contains the fonts' TrueType (.ttf) files, which you can instal directly into your computer - see installation instructions below. If you do not install these fonts <strong>YOU WILL NOT BE ABLE TO USE THEM IN THE PLUGIN!</strong>
- **"bundle"** folder: includes json files needed by the IconFont plugin.
- **"fonts.json"** file - needed by the IconFont plugin.

### Installation

- Open the *"ttf-files"* folder and double-click on each font file to instal it. Consult your Mac's Help system if you need assistance on learning how to instal new fonts in your system.
- Open Sketch, and select the "Install a font-bundle" command from the IconFont Sketch plugin. An 'Open' dialog box will appear.
- In the Open dialog box, select the "font-bundles-master" folder you downloaded from this repo.
- NOW, use your fonts from the IconFont plugin!

### How can I build my own font-bundle?

- Install your custom icon fonts in the IconFont plugin.
- Select the "Export your font-bundle" command from the IconFont Sketch plugin.
- Save your bundle.
- Now, you have a bundle that you can share with your team mates - or everyone!


# License

MIT

Go to the IconFont plugin:
https://github.com/keremciu/sketch-iconfont




